I have a site survey that I am having rotation issues with.
In the model space the drawing is rotated so when I draw a vertical line it points up (which is what I am used to). However in the paper space, the drawing is automatically rotated so that north is now pointing up, and if I attempt to draw a normal vertical line as i did in the model space the line now points NE.
How can I rotate the view of the viewport in paper space so that my lines as vertical and horizontal. This would not be such an issue if it was just a plan, but I have drawn sections that just look ridiculous.
how can i rotate a drawing view in model space and paper space? UCS -> new -> 3 point -> and saving the view works, but trying to figure out how to do this with paper space now. My purpose if for pulling construction lines from plans, for elevations. In the past I simply rotated the drawing, but if i had a layer turned off it would mess up their positioning.
i have been sent a border from my client which has been drawnt in model space and they are asking the border they sent me for my drawings to be inserted into Paper space. When i insert the border into paper space the border is way to big for the paper space and i dont know how to make it fit ISOA1 size.
ACAD 2010 text doesn't view the same in MSpace and PSpace! Model space is the acad default text: txt Paper Space it appears as it should as Romans. The drawings print as txt and not as it should Romans! When I change the text in model space to Romans, save the drawing, enter PSpace and the return to MSpace, it seems to 'reset' back to text!
This is specific to my workstation BTW, when I open the dwg file on a colleagues PC it opens Romans in both Model and Paper space.
CAD-Newbie working in paper space zoomed in close. I want to return to page extents but am zoomed in so close I can't click outside paper space to move view control toolbar to model space. is there a simple key command to perform this function?
I've created a drawing in model space, added text in paper space. When I go to plot the drawing the text is rotated 90 degrees instead of staying oriented the way I added it. There must be some setting that I am missing somewhere!
Is there an easy way to rotate my drawing 90 degrees clockwise in model space, but leave it in it's orginal view in paper space. The reason is for drawing elevations - north, south, east, west from construction lines pulled from a plan. I've tried using UCS and was able to rotate, but it won't let me copy objects after doing
I have a drawing in model space the i drew to scale of 1'=1' and I went to paper scape to put the drawing in my title block using Viewports. highlighted the viewport and went to properties to give the drawing a scale so it would maximize the Viewport area, on my 22"x34" paper. but under the standard scale 1/64"=1' is too big and 1/128"=1' is too small. the simple solution is zoom extents but then in my title block i have to put NTS. I would like to add to the standard scale or be able to set the customer scale to a whole number. EX. 1:1000 or 1:150, etc. etc.
I have used the following code in a small app to create named views: LINK_TO_Autodesk_Help_Topic
However...A user of mine tried running the command while in a paper space layout. It appears the view still gets created but only within Model Space.
The help DOES SAY that "a default model space view is created", but how would I specify that I want the view to be created within the "current" layout, either Model or Paper space?
I tried setting the .OwnerID property of the ViewTableRecord to "doc.CurrentSpaceID" but that did not work - no error either.
We have a problem with the view port freeze. When we feeze a layer in the modelspace of a viewport and save the drawing, on re-opening the drawing we find that the layer that was switched off has been switched back on i.e. the saved mechanism does not work.
We have tried copying a view port that works from another drawing into this drawing by that did not work. We have also compared setttings with the drawing that works and the drawing that does not work. But there was no joy.
We think the problem is with the drawing and need a solution preferably with the settings of the drawing. having to redrawing the whole drawing.
I have a drawing with some 3d objects that I display with multiple viewports, in paper space, showing different views of the objects. The viewports themselves are all on one layer that is frozen. Each viewport with a 3d object is set with Visual style: Hidden & Shade plot: 3D Hidden, to hide all lines that should not display for that view and creating a nice clean image in each viewport.
Again, viewport layer is frozen so no viewport borders are displayed. The problem I'm having is that I get random viewport border lines that show up on my plot. It can be paper or pdf. and could be top in one viewport and side in another, etc. I have never had this happen before but it seems to be related to hiding 3d line because I have never had a problem when I didn't.
A problem we are having in our office on 1 computer is that this message appears in the command line
'viewport is view locked switching to paper space'
It happens whenever we zoom or pan into one of our locked viewports. We have purposefully locked the viewport so we don't lose the scale when we zoom or pan and want to leave it this way, however, whenever we zoom or pan this message appears and it takes 30 seconds before the screen readjusts to the zoom or pan we require.
I have wall section sheets that are best viewed in portrait mode, but use the same landscape page setup as the other sheets in the set. So the viewports for the sections are rotated 90 degrees and difficult to read on the screen. Is it possible to rotate the paper space UCS and rotate the paper space "view" to match the UCS, like you can in model space?
I don't want to rotate the viewports and title blocks themselves & set up a portrait page setup. This is because I'm using Acrobat's PDF maker for batch plotting and not using the same page setup for each sheet makes one click, fire-and-forget publishing impossible. And I don't want to use DWG-to-PDF because it doesn't have any configurable image compression settings that I know of.
If it's not possible, then it's not the end of the world. We have AutoCAD Architecture and AutoCAD LT 2012 & 2013.
I have a 3D drawing in model space which I want to print with different views. I know how to make viewports for top orthographic view, side, front and 3D perspective view, but I can't figure out how to make a sectional view viewport from the 3D drawing as well.
Also, I can't figure out how to have autocad place hidden lines and centerlines for me.
Just got the new 2013 version and I'm having this strange problem:
When I open a drawing (that was last saved in Paper Space) and I'm switching to Model Space, my view is not set to "Top" by default. How can I set my view by default to "Top"?
View of when I'm switching from Paper to Model Space:
"Top" View, what I'm supose to view by default...:
When I use a layout size such as A3 in paper space, the section view label text size is the same as it is in model space (when both annotative scales are the same). However, when I choose 11x17 as a layout size, the section view label text size is exetremly small.
The model space orientation is different than the paper space orientation (I have my viewport rotated) but whenever I am working in paper space and double-click inside model space to activate the viewport, it resets/reorients the view to match the orientation in model space. It also changes the scale. If I lock the viewport and then double-click inside to activate model space it does not change.
I don't want to always have my viewports locked to work on them in paper space.
We like to allow user to select a rectagular area in modal scpace. Then the code creates a paperscace viewport in a spcified layout. The viewport will show the selected area. find the old VBA code that achived this and the .net code I am trying with. .Net code always gives some exception.
VBA Code
'Lets find the center of the viewport in paperspace.
Dim center(0 To 2) As Double center(0) = newWidth / 2 center(1) = newLength / 2 center(2) = 0 Dim lay As AcadLayout For Each ent In ThisDrawing.layouts
I'm trying to limit the activity inside a paper space's view port. Specifically text and dimension objects (our routines) as these layers inside the view port may be frozen.
How do I pragmatically get out of the view port back into paper space?
Command: _.PSPACECommand: cvportEnter new value for CVPORT <1>:Command: _.MSPACECommand: cvportEnter new value for CVPORT <2>: 1Cannot set CVPORT to that value.*Invalid*
We have had a reoccuring problem in autocad architecture 2012 where model space views can no longer be dragged into a sheet. It just shows a circular cancel icon.
The sheets are set up fine and it may even have several MSVs already in place then out of no where the ability is lost. We have tried allt he usual fixes (checked the layers, restored the .bak file, tried on other computers, installed service packs) but it seems once the file is "poisoned" the only fix is to recreate the sheet and delete the old one. Not a terrible solution but it is not efficient.
We have a dozen computers all with acad architecture 2012 and it seems to happen on random computers and we can't pinpoint any specific differences between them.
We did not have this problem with Autocad architecture 2009.
We're testing some new machines running Windows 7 64-bit with both AutoCAD Architecture 2011 and 2012 64-bit installed.
When dragging and dropping a model space view onto a sheet, instead of the folder with paperclip symbol, we're getting a circle with a line through it prohibited symbol. This only occurs when our project files are on our network. When we use them on a local machine this does not occur.
We cannot drag and drop onto new sheets either.
[URL]
We are running on a Novell Linux Open Enterprise Server network. We previously had a problem with not being able to open any sheets if another drawing was open, which we resolved by disabling Novell File Caching. We are also now experiencing unhandled e06d7363h exception errors with any type of file access in the Project Navigator. This crashing also does not occur when the files are on the local machine.
Lisp routine or macro that will either rotate or align selected objects so they are parallel to an axis on the current UCS?
Specifically, when placing mtext to label an object. I typically align my ucs to the object then create the text so it is parallel to the object. It would be great if I could create the text with a rotation of 0, align my ucs to the object to be labeled and then with a single click, select the text making it parallel to the X axis.
I have a block that has a portion that needs to rotate up to 90 degrees. The problem is that it has parallel lines that create a bowtie when rotating. I've tried everything with constraints to get this block to work, but I just can't keep it from creating a bowtie when rotating.
In 2012 Autocad, cannot change from model space to paper space, or paper space to model space without locking up in several drawings.
In 2012 Autocad, cannot change from model space to paper space, or paper space to model space without locking up in several drawings.
I can log into another user's computer and open the file fine. But when i use my computer or a brand new computer fitting all Auto CAD specs, it locks up. When I plot I have to reset my settings to the PTE standards every time.
I now get CAD errors when CAD is not even open. Also VTPSUHM barely works. I generally have to restart my computer several times to get it to work.